Description

There appear to be some API calls which have been broken or incorrectly documented in the 1.7 release.

+ /api/v2/compute_resources/:compute_resource_id 

   + used to accept the resource name as a parameter but now only accepts the id. 

   + This was not true of the 1.6 release or other api calls/

 + /api/v2/hostgroups/:hostgroup_id

   + Unable to retrieve nested hostgroups by name or title

   + In 1.6 the name of nested hostgroups was accepted as a parameter.

 Is this correct behavior?

History

#1 - 01/05/2015 03:27 AM - Dominic Cleal

- Tracker changed from Support to Bug

- Subject changed from 1.7 API changes to Compute resource cannot be found in API by name

- Category set to API

Confirmed on the compute resource issue, though I'm surprised that nested host groups were ever working.. I'm not sure if that can be fixed, as using

slashes in host group identifiers is likely problematic.

#2 - 01/05/2015 04:40 PM - Benjamin Roberts

If the names (which don't include slashes) were unique then they could be used for lookup, however I'm not sure if that is desirable or not

#3 - 01/06/2015 03:35 AM - Dominic Cleal

Yeah, I think that would cause problems for other users, who often have two identically named groups that are children of other groups (e.g.

Europe/Web Servers, Americas/Web Servers).
